<?php

class cCuentatipo{

	function insertar($nom,$cod,$ord){

		$sql = "INSERT tb_cuentatipo (

		`tb_cuentatipo_cod`,

		`tb_cuentatipo_nom`,

		`tb_cuentatipo_ord`

		)

		VALUES ('$nom', '$cod','$ord')"; 

		//echo $sql;exit;

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function ultimoInsert(){

		$sql = "SELECT last_insert_id()"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	function filtrar(){

		$sql="SELECT * 

		FROM tb_cuentatipo

		WHERE tb_cuentatipo_xac='1'

		ORDER BY tb_cuentatipo_id ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrarUno($id){

		$sql="SELECT * 

		FROM tb_cuentatipo

		WHERE tb_cuentatipo_id=$id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	function modificar($id,$cod,$nom,$ord){ 

		$sql = "UPDATE tb_cuentatipo SET  

		`tb_cuentatipo_cod` =  '$cod',

		`tb_cuentatipo_nom` =  '$nom',

		`tb_cuentatipo_ord` =  '$ord'

		WHERE  tb_cuentatipo_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_cuentatipo SET

		`tb_cuentatipo_$campo` =  '$valor' 

		WHERE tb_cuentatipo_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



}

?>